Subject: bug#18100: 24.4.50; Restore simplicity of (put 'self-insert-command 'delete-selection 'kill)

From: Drew Adams <[email-masked]>
Date: Wed, 11 May 2022 20:09:01 +0000

> This was somewhat rewritten in 2015, and there's now a
> delete-selection-uses-region-p.  So this would be
> simpler to express now:
> (put 'self-insert-command 'delete-selection
>      (lambda () (and (delete-selection-uses-region-p)
>                      'kill)))
> 
> And I think that's sufficient here, and I'm therefore closing this bug
> report.

Perhaps you didn't read the bug thread.

Or perhaps you did, but decided to ignore it
and reply to something unrelated.

The bug:

___
  Maybe so, but that is not at all what the
 `delete-selection-mode' doc & comments tell users.
  If this is a new requirement/guideline, then
  it needs to be documented.

  But I wonder why this must now be so.  In the past,
  a user could just put `kill' as the property.  The
  code does not seem so clean now.

  One of the benefits of the `delsel.el' design ...
  is its simplicity for users.

  This seems to go against that.  Is it really
  necessary?  Isn't there another way to accomplish
  the same thing (whatever that is), so we can
  keep the simple and clean design for users?
...  
  Users should be able to `put' a single,
  understandable symbol as the `delete-selection'
  property value.  They should not need to fiddle
  with obscure lambda forms (or symbols whose names
  are not simple to understand).  Symbol `kill' is
  simple - it says that you want the region to be killed.
...
  This new bug is about restoring the ability to use
  a simple `put' to configure `delete-selection-mode'
  behavior for a given command, rather than having to
  jump through hoops with incomprehensible lambda forms
  in the `put' value.
___

All of that is still relevant.  The bug wasn't fixed.
Just another "wont-fix".  Please own up to that, here
and elsewhere.  This doesn't go in the "fix" column.
It's not "Done".  Not at all.